Тема: Стиль текста

Подскажите пожалуйста как поменять стиль текста что б сменить ТXT на Arial или другой чертежный текст. Дело в том что ТХТ не распознает букву в, і

Sub Example_AddText()

    Dim textObj As AcadText
    Dim textString As String
    Dim insertionPoint(0 To 2) As Double
    Dim height As Double
   

    textString = "світлофор."
    insertionPoint(0) = 2: insertionPoint(1) = 2: insertionPoint(2) = 0
    height = 0.5
   

    Set textObj = ThisDrawing.ModelSpace.AddText(textString, insertionPoint, height)   
End Sub

Заранее всем благодарен!!!

Re: Стиль текста

Как то так =)

Sub Example_StyleName()
    ' This example creates an aligned dimension and then changes the
    ' StyleName property for that dimension.

    Dim dimObj As AcadDimAligned
    Dim point1(0 To 2) As Double
    Dim point2(0 To 2) As Double
    Dim location(0 To 2) As Double
    Dim currStyleName As String
    
    ' Define the dimension
    point1(0) = 5#: point1(1) = 3#: point1(2) = 0#
    point2(0) = 10#: point2(1) = 3#: point2(2) = 0#
    location(0) = 7.5: location(1) = 5#: location(2) = 0#

    ' Create an aligned dimension object in model space
    Set dimObj = ThisDrawing.ModelSpace.AddDimAligned(point1, point2, location)
    ZoomAll
    currStyleName = dimObj.styleName
    MsgBox "The initial StyleName for the dimension is " & dimObj.styleName, vbInformation, "TextString Example"
    
    ' Create a new dimension style
    ThisDrawing.DimStyles.Add ("NewDimensionStyle")
    
    ' Change the text string for the dimension
    dimObj.styleName = "NewDimensionStyle"
    dimObj.Update
    MsgBox "The new StyleName for the dimension is " & dimObj.styleName, vbInformation, "TextString Example"
    
    ' Reset the text string for the dimension
    dimObj.styleName = currStyleName
    dimObj.Update
    MsgBox "The StyleName for the dimension has been reset to " & dimObj.styleName, vbInformation, "TextString Example"
End Sub

(изменено: Вильдар, 1 августа 2011г. 09:51:01)

Re: Стиль текста

Поменять шрифт для текстового объекта вроде бы нельзя. Вручную кстати для мтекста можно. А программно никак. Только через текстовый стиль. А возможно и через форматирование мтекста.
Например я вот так назначаю шрифт Ариал в текстовом стиле:

objTextStyle.SetFont "Arial", False, False, 0, 34"